summaryrefslogtreecommitdiffstats
path: root/wrapper
diff options
context:
space:
mode:
Diffstat (limited to 'wrapper')
-rw-r--r--wrapper12
1 files changed, 12 insertions, 0 deletions
diff --git a/wrapper b/wrapper
new file mode 100644
index 0000000..6882141
--- /dev/null
+++ b/wrapper
@@ -0,0 +1,12 @@
+#!/bin/sh
+if [[ "$UID" != "0" ]] ; then
+ /usr/bin/pkexec /usr/libexec/draksnapshot-config "$@"
+ exit $?
+fi
+exec /usr/libexec/draksnapshot-config "$@"
+#!/bin/sh
+if [[ "$UID" != "0" ]] ; then
+ /usr/bin/pkexec /usr/libexec/draksnapshot-config "$@"
+ exit $?
+fi
+exec /usr/libexec/draksnapshot-config "$@"